Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » Version setting in rptdesign
Version setting in rptdesign [message #555102] Wed, 25 August 2010 13:07 Go to next message
HJ  is currently offline HJ Friend
Messages: 2
Registered: August 2010
Junior Member
Hi all

I have a rtpdesign file with the next line in the xml source:

<report xmlns="http://www.eclipse.org/birt/2005/design" version="3.2.20" id="1">

To run this report with BIRT runtime version 2.3.0 I have to remove the "0" in the version value. Otherwise it doesn't work. So . . . every time I save the rtpdesign Eclipse replaces the "0".

Is there any way to prevent Eclipse adding this "0" to the version value? Maybe by providing a fixed version number in the report properties or something similar?

Please help me out.
Re: Version setting in rptdesign [message #555116 is a reply to message #555102] Wed, 25 August 2010 13:42 Go to previous messageGo to next message
Richard A. Polunsky is currently offline Richard A. PolunskyFriend
Messages: 199
Registered: July 2009
Location: Houston TX
Senior Member

3.2.20 denotes a report created with the 2.5.0 libraries. You might be able to get it to run under 2.3.0 depending on which features were used, but I wouldn't want to rely on it.
Re: Version setting in rptdesign [message #555136 is a reply to message #555116] Wed, 25 August 2010 14:34 Go to previous messageGo to next message
HJ  is currently offline HJ Friend
Messages: 2
Registered: August 2010
Junior Member
Richard A. Polunsky wrote on Wed, 25 August 2010 09:42
3.2.20 denotes a report created with the 2.5.0 libraries. You might be able to get it to run under 2.3.0 depending on which features were used, but I wouldn't want to rely on it.



Thx for your reply. Can I simply replace those libraries? If so, when do i find these 2.3.0 libraries?
Re: Version setting in rptdesign [message #555138 is a reply to message #555102] Wed, 25 August 2010 14:42 Go to previous message
Richard A. Polunsky is currently offline Richard A. PolunskyFriend
Messages: 199
Registered: July 2009
Location: Houston TX
Senior Member

I don't know what you're using for an editor - I use the RCP rather than the full Eclipse plugin set. Either way you can get it from the BIRT download site (download.eclipse.org/birt/downloads/). Go to the Archived Builds page to find the 2_3_0 link.

Whoops, I may have misread - did you want 2.3.0 or 2.5.0? Either way you can find both through the archived builds.

[Updated on: Wed, 25 August 2010 14:42]

Report message to a moderator

Previous Topic:birt and cognos reportnet
Next Topic:Building standalone RCP designer from sources
Goto Forum:
  


Current Time: Thu Nov 27 21:12:03 GMT 2014

Powered by FUDForum. Page generated in 0.02763 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software